import matplotlib.pyplot as plt
import numpy as np
import matplotlib.ticker as ticker

def v_read_dat(fl):
    with open(fl, 'r') as f:
        floats = []
        for each in f.read().split("\n"):
            a = each.split()
            if len(a) == 2:
                floats.append([float(a[0]),float(a[1])])
    return  np.array(floats)



Mcurve_BendTwist  = v_read_dat('MasterCurve_BendTwist.txt')
Mcurve_Cantilever = v_read_dat('MasterCurve_Cantilever.txt')
Mcurve_LTB        = v_read_dat('MasterCurve_LTB.txt')
Mcurve_StickSlip  = v_read_dat('MasterCurve_StickSlip.txt')

f                 = plt.figure(figsize=(8,8))


plt.subplot(221)
plt.loglog(Mcurve_BendTwist[:,0],Mcurve_BendTwist[:,1], 'k',linewidth=2)
plt.axis([1e-1, 1e0, 1e-1, 1e1])


plt.subplot(222)
plt.loglog(Mcurve_Cantilever[:,0],Mcurve_Cantilever[:,1], 'k',linewidth=2)
plt.axis([1e-2, 1e4, 1e-3, 1e2])

plt.subplot(223)
plt.plot(Mcurve_LTB[:,0],Mcurve_LTB[:,1], 'k',linewidth=2)
plt.axis([0, 1, 0, 50])

plt.subplot(224)
plt.plot(Mcurve_StickSlip[:,0],Mcurve_StickSlip[:,1], 'k',linewidth=2)
plt.axis([0, 0.5, 0, 0.4])


plt.show()

